"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _createChainableTypeChecker = _interopRequireDefault(require("./utils/createChainableTypeChecker"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function validate(props, propName, componentName, location, propFullName) {
  var propValue = props[propName];
  var propType = _typeof(propValue);
  if ( /*#__PURE__*/_react["default"].isValidElement(propValue)) {
    return new Error("Invalid ".concat(location, " `").concat(propFullName, "` of type ReactElement ") + "supplied to `".concat(componentName, "`, expected a ReactComponent or a ") + 'DOMElement. You can usually obtain a ReactComponent or DOMElement ' + 'from a ReactElement by attaching a ref to it.');
  }
  if ((propType !== 'object' || typeof propValue.render !== 'function') && propValue.nodeType !== 1) {
    return new Error("Invalid ".concat(location, " `").concat(propFullName, "` of value `").concat(propValue, "` ") + "supplied to `".concat(componentName, "`, expected a ReactComponent or a ") + 'DOMElement.');
  }
  return null;
}
var _default = (0, _createChainableTypeChecker["default"])(validate);
exports["default"] = _default;
module.exports = exports.default;